Bug 1129064 - after cancelling recipe reserved by <reservesys/>, job page shows negative time remaining
Summary: after cancelling recipe reserved by <reservesys/>, job page shows negative ti...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: 0.17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 07:58 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 03:31:19 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2014-08-12 07:58:40 UTC
Version-Release number of selected component (if applicable):
0.17.3.git.4.ce7b6e7

Steps to Reproduce:
1. Reserve a recipe using <reservesys/>
2. Once it is reserved, click Cancel on the job page

Actual results:
Shows: Updating... (-1 days, 23:59:58)

Expected results:
No time shown remaining after cancellation.

Comment 2 Dan Callaghan 2017-01-12 03:31:19 UTC
This is WONTFIX for the old job page, and NOTABUG for the new job page. On the new job page and recipe page, the Cancel button behaves differently, and effectively disguises the asynchronous nature of the cancelling so that this -1 days thing does not appear.


Note You need to log in before you can comment on or make changes to this bug.